## elisa-player 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 (c) Matthieu Gallien <matthieu_gallien@yahoo.fr>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(elisa
    VERSION ${RELEASE_SERVICE_VERSION}
    LANGUAGES CXX)

set(REQUIRED_KF_VERSION "6.3")
set(REQUIRED_KA_VERSION "0.11.76") # KirigamiAddons Version
find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateQmlTypes)
include(ECMAddAndroidApk)

set(REQUIRED_QT_VERSION "6.5.0")
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network Qml Quick Test Sql Multimedia Svg Gui Widgets QuickTest Concurrent QuickControls2)

find_package(Qt6Core ${REQUIRED_QT_VERSION} CONFIG REQUIRED Private)



if (NOT WIN32 AND NOT ANDROID)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} CONFIG QUIET)
    set_package_properties(Qt6DBus PROPERTIES
        DESCRIPTION "Qt6 DBus is needed to provide MPris2 interface to allow remote control by the desktop workspace."
        TYPE OPTIONAL)
endif()

if (Qt6DBus_FOUND)
set(QtDBus_FOUND 1)
endif()

find_package(Qt6QuickWidgets ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt6QuickWidgets PROPERTIES
    DESCRIPTION "Qt6 Quick Widgets is needed at runtime to provide the interface."
    TYPE RUNTIME)

find_package(Qt6QuickControls2 ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt6QuickControls2 PROPERTIES
    DESCRIPTION "Qt6 Quick Controls version 2 is needed at runtime to provide the interface."
    TYPE RUNTIME)

find_package(KF6Kirigami ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "KF Kirigami is needed to provide the mobile UI components."
    TYPE REQUIRED)

find_package(KF6KirigamiAddons ${REQUIRED_KA_VERSION} CONFIG QUIET)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "KF KirigamiAddons is needed to provide the about KDE dialogue."
    TYPE REQUIRED)

find_package(KF6I18n ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6I18n PROPERTIES
    DESCRIPTION "KF text internationalization library."
    TYPE REQUIRED)

find_package(KF6CoreAddons ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6CoreAddons PROPERTIES
    DESCRIPTION "Qt addon library with a collection of non-GUI utilities."
    TYPE REQUIRED)

find_package(KF6IconThemes ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6IconThemes PROPERTIES
    DESCRIPTION "Support for icon themes."
    TYPE REQUIRED)

find_package(KF6FileMetaData ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6FileMetaData PROPERTIES
    DESCRIPTION "Provides a simple library for extracting metadata."
    TYPE RECOMMENDED)

find_package(KF6XmlGui ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6XmlGui PROPERTIES
    DESCRIPTION "Framework for managing menu and toolbar actions."
    TYPE RECOMMENDED)

find_package(KF6Config ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6Config PROPERTIES
    DESCRIPTION "Persistent platform-independent application settings."
    TYPE REQUIRED)

find_package(KF6ColorScheme ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6ColorScheme PROPERTIES
    DESCRIPTION "Allows changing the app's color scheme."
    TYPE REQUIRED)

find_package(KF6Crash ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6Crash PROPERTIES
    DESCRIPTION "Graceful handling of application crashes."
    TYPE OPTIONAL)

if (NOT WIN32 AND NOT ANDROID)
    find_package(KF6DBusAddons ${REQUIRED_KF_VERSION} CONFIG QUIET)
    set_package_properties(KF6DBusAddons PROPERTIES
        DESCRIPTION "Convenience classes for D-Bus."
        TYPE OPTIONAL)
endif()

if (NOT ANDROID)
    find_package(KF6KIO ${REQUIRED_KF_VERSION} CONFIG QUIET)
    set_package_properties(KF6KIO PROPERTIES
        DESCRIPTION "File management libraries used for file browsing."
        TYPE REQUIRED)
    find_package(KF6QQC2DesktopStyle ${REQUIRED_KF_VERSION} CONFIG QUIET)
    set_package_properties(KF6QQC2DesktopStyle PROPERTIES
        DESCRIPTION "KDE QtQuick style for desktop"
        TYPE REQUIRED)
endif()

find_package(UPNPQT CONFIG QUIET)
set_package_properties(UPNPQT PROPERTIES
    DESCRIPTION "UPNP layer build with Qt. UPnP support is currently broken. You should probably avoid this dependency."
    URL "https://gitlab.com/homeautomationqt/upnp-player-qt"
    TYPE OPTIONAL)

if (UPNPQT_FOUND)
    message(WARNING "UPnP support is experimental and may not work.")
endif()

find_package(LIBVLC QUIET)
set_package_properties(LIBVLC PROPERTIES
    DESCRIPTION "libvlc allows to play music in Elisa (otherwise it will use QtMultimedia)"
    URL "https://www.videolan.org/vlc/libvlc.html"
    TYPE RECOMMENDED)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateDBusServiceFile)
include(CMakePackageConfigHelpers)
include(ECMDeprecationSettings)

set(KFXmlGui_FOUND ${KF6XmlGui_FOUND})
set(KFCrash_FOUND ${KF6Crash_FOUND})
set(KFDBusAddons_FOUND ${KF6DBusAddons_FOUND})
set(KFKIO_FOUND ${KF6KIO_FOUND})
set(KFFileMetaData_FOUND ${KF6FileMetaData_FOUND})

configure_file(config-upnp-qt.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-upnp-qt.h)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX ELISA
    VERSION_HEADER elisa-version.h)

set(QML_IMPORT_PATH ${CMAKE_BINARY_DIR}/bin CACHE STRING "" FORCE)

ecm_set_disabled_deprecation_versions(
    QT 6.1.0
    KF 6.4
)


add_subdirectory(src)
add_subdirectory(icons)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if (KF6DBusAddons_FOUND)
    ecm_generate_dbus_service_file(
        NAME org.kde.elisa
        EXECUTABLE ${KDE_INSTALL_FULL_BINDIR}/elisa
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
    )
    set(ELISA_DBUSACTIVATABLE "DBusActivatable=true")
else()
    set(ELISA_DBUSACTIVATABLE)
endif()

configure_file(org.kde.elisa.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.elisa.desktop @ONLY)
install(
    PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.elisa.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
    FILES org.kde.elisa.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

ki18n_install(po)

install(FILES elisa.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 (c) Matthieu Gallien <matthieu_gallien@yahoo.fr>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

enable_testing()

configure_file(mediaplaylisttestconfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/mediaplaylisttestconfig.h @ONLY)

include_directories(${elisa_CURRENT_BINARY_DIR})
include_directories(${elisa_BINARY_DIR})
include_directories(${elisa_BINARY_DIR}/src)

set(viewManagerTest_SOURCES
    viewmanagertest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${viewManagerTest_SOURCES}
    TEST_NAME "viewManagerTest"
    LINK_LIBRARIES
        Qt::Test elisaLib)

target_include_directories(viewManagerTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(databaseInterfaceTest_SOURCES
    databaseinterfacetest.cpp
    databasetestdata.h
)

ecm_add_test(${databaseInterfaceTest_SOURCES}
    TEST_NAME "databaseInterfaceTest"
    LINK_LIBRARIES
        Qt::Test elisaLib Qt::Sql)

target_include_directories(databaseInterfaceTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(managemediaplayercontrolTest_SOURCES
    managemediaplayercontroltest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${managemediaplayercontrolTest_SOURCES}
    TEST_NAME "managemediaplayercontrolTest"
    LINK_LIBRARIES
        Qt::Test elisaLib
)

set(manageheaderbarTest_SOURCES
    manageheaderbartest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${manageheaderbarTest_SOURCES}
    TEST_NAME "manageheaderbarTest"
    LINK_LIBRARIES
        Qt::Test elisaLib
)

target_include_directories(manageheaderbarTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(manageaudioplayerTest_SOURCES
    manageaudioplayertest.cpp
)

ecm_add_test(${manageaudioplayerTest_SOURCES}
    TEST_NAME "manageaudioplayerTest"
    LINK_LIBRARIES Qt::Test elisaLib
)

target_include_directories(manageaudioplayerTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(mediaplaylistTest_SOURCES
    mediaplaylisttest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${mediaplaylistTest_SOURCES}
    TEST_NAME "mediaplaylistTest"
    LINK_LIBRARIES
        Qt::Test elisaLib Qt::CorePrivate
)

target_include_directories(mediaplaylistTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

ecm_qt_declare_logging_category(mediaplaylistproxymodelTest_SOURCES HEADER elisa_debug.h IDENTIFIER lcModelTest CATEGORY_NAME qt.modeltest)

set(mediaplaylistproxymodelTest_SOURCES
    mediaplaylistproxymodeltest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${mediaplaylistproxymodelTest_SOURCES}
    TEST_NAME "mediaplaylistproxymodelTest"
    LINK_LIBRARIES
        Qt::Test elisaLib Qt::CorePrivate
)

target_include_directories(mediaplaylistproxymodelTest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(trackslistenertest_SOURCES
    trackslistenertest.cpp
    ../src/elisautils.cpp
)

ecm_add_test(${trackslistenertest_SOURCES}
    TEST_NAME "trackslistenertest"
    LINK_LIBRARIES
        Qt::Test elisaLib
)

target_include_directories(trackslistenertest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(datamodeltest_SOURCES
    datamodeltest.cpp
)

ecm_add_test(${datamodeltest_SOURCES}
    TEST_NAME "datamodeltest"
    LINK_LIBRARIES
        Qt::Test elisaLib Qt::CorePrivate
)

target_include_directories(datamodeltest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(viewsmodeltest_SOURCES
    viewsmodeltest.cpp
)

ecm_add_test(${viewsmodeltest_SOURCES}
    TEST_NAME "viewsmodeltest"
    LINK_LIBRARIES
        Qt::Test elisaLib Qt::CorePrivate
)

target_include_directories(viewsmodeltest PRIVATE ${CMAKE_SOURCE_DIR}/src)

set(trackmetadatamodeltest_SOURCES
    trackmetadatamodeltest.cpp
)

ecm_add_test(${trackmetadatamodeltest_SOURCES}
    TEST_NAME "trackmetadatamodeltest"
    LINK_LIBRARIES
        Qt::Test elisaLib Qt::CorePrivate
)

target_include_directories(trackmetadatamodeltest PRIVATE ${CMAKE_SOURCE_DIR}/src)

if (KF6FileMetaData_FOUND)
    set(localfilelistingtest_SOURCES
        localfilelistingtest.cpp
    )

    ecm_add_test(${localfilelistingtest_SOURCES}
        TEST_NAME "localfilelistingtest"
        LINK_LIBRARIES
            Qt::Test elisaLib
    )

    target_include_directories(localfilelistingtest PRIVATE ${CMAKE_SOURCE_DIR}/src)
endif()

if (KF6XmlGui_FOUND AND KF6KCMUtils_FOUND)
    set(elisaapplicationtest_SOURCES
        elisaapplicationtest.cpp
        ../src/elisautils.cpp
    )

    ecm_add_test(${elisaapplicationtest_SOURCES}
        TEST_NAME "elisaapplicationtest"
        LINK_LIBRARIES
            Qt::Test elisaLib
    )

    target_include_directories(elisaapplicationtest PRIVATE ${CMAKE_SOURCE_DIR}/src)
endif()

set(filescannerTest_SOURCES
    filescannertest.cpp
)

ecm_add_test(${filescannerTest_SOURCES}
    TEST_NAME "filescannerTest"
    LINK_LIBRARIES Qt::Test elisaLib
)

set(filewriterTest_SOURCES
    filewritertest.cpp
)

ecm_add_test(${filewriterTest_SOURCES}
    TEST_NAME "filewriterTest"
    LINK_LIBRARIES Qt::Test elisaLib
)

if (KF6KIO_FOUND)
    set(filebrowserproxymodelTest_SOURCES
        filebrowserproxymodeltest.cpp
    )

    ecm_add_test(${filebrowserproxymodelTest_SOURCES}
        TEST_NAME "filebrowserproxymodelTest"
        LINK_LIBRARIES Qt::Test elisaLib
    )
endif()

ecm_add_test(lyricsmodeltest.cpp
    TEST_NAME "lyricsModelTest"
    LINK_LIBRARIES Qt::Test elisaLib
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 (c) Matthieu Gallien <matthieu_gallien@yahoo.fr>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

include_directories(${elisa_BINARY_DIR})

set(elisaLib_SOURCES
    colorschemepreviewimageprovider.cpp
    mediaplaylist.cpp
    mediaplaylistproxymodel.cpp
    progressindicator.cpp
    qmlforeigntypes.h
    databaseinterface.cpp
    datatypes.cpp
    musiclistenersmanager.cpp
    managemediaplayercontrol.cpp
    manageheaderbar.cpp
    manageaudioplayer.cpp
    trackslistener.cpp
    elisaapplication.cpp
    modeldataloader.cpp
    elisautils.cpp
    abstractfile/abstractfilelistener.cpp
    abstractfile/abstractfilelisting.cpp
    filescanner.cpp
    filewriter.cpp
    viewmanager.cpp
    powermanagementinterface.cpp
    file/filelistener.cpp
    file/localfilelisting.cpp
    models/datamodel.cpp
    models/abstractmediaproxymodel.cpp
    models/gridviewproxymodel.cpp
    models/trackmetadatamodel.cpp
    models/trackmetadataproxymodel.cpp
    models/editabletrackmetadatamodel.cpp
    models/trackcontextmetadatamodel.cpp
    models/viewsmodel.cpp
    models/viewsproxymodel.cpp
    models/lyricsmodel.cpp
    viewslistdata.cpp
    viewconfigurationdata.cpp
    localFileConfiguration/elisaconfigurationdialog.cpp
)

set(elisaLib_INCLUDEDIRS
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/abstractfile
    ${CMAKE_CURRENT_SOURCE_DIR}/file
    ${CMAKE_CURRENT_SOURCE_DIR}/localFileConfiguration
    ${CMAKE_CURRENT_SOURCE_DIR}/models
)

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "indexersManager.h"
    IDENTIFIER "orgKdeElisaIndexersManager"
    CATEGORY_NAME "org.kde.elisa.indexers.manager"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "databaseLogging.h"
    IDENTIFIER "orgKdeElisaDatabase"
    CATEGORY_NAME "org.kde.elisa.database"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "abstractfile/indexercommon.h"
    IDENTIFIER "orgKdeElisaIndexer"
    CATEGORY_NAME "org.kde.elisa.indexer"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "models/modelLogging.h"
    IDENTIFIER "orgKdeElisaModel"
    CATEGORY_NAME "org.kde.elisa.model"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "playListLogging.h"
    IDENTIFIER "orgKdeElisaPlayList"
    CATEGORY_NAME "org.kde.elisa.playlist"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "viewsLogging.h"
    IDENTIFIER "orgKdeElisaViews"
    CATEGORY_NAME "org.kde.elisa.views"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "playerLogging.h"
    IDENTIFIER "orgKdeElisaPlayer"
    CATEGORY_NAME "org.kde.elisa.player"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "powerManagementLogging.h"
    IDENTIFIER "orgKdeElisaPowerManagement"
    CATEGORY_NAME "org.kde.elisa.powermanagement"
    DEFAULT_SEVERITY Info
    )

if (LIBVLC_FOUND)
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "vlcLogging.h"
        IDENTIFIER "orgKdeElisaPlayerVlc"
        CATEGORY_NAME "org.kde.elisa.player.vlc"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        audiowrapper_libvlc.cpp
        )
else()
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "qtMultimediaLogging.h"
        IDENTIFIER "orgKdeElisaPlayerQtMultimedia"
        CATEGORY_NAME "org.kde.elisa.player.qtMultimedia"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        audiowrapper_qtmultimedia.cpp
        )
endif()

if (WIN32)
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "windowsLogging.h"
        IDENTIFIER "orgKdeElisaWindows"
        CATEGORY_NAME "org.kde.elisa.windows"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        windows/taskbarmanager.cpp
    )
    set(elisaLib_INCLUDEDIRS
        ${elisaLib_INCLUDEDIRS}
        ${CMAKE_CURRENT_SOURCE_DIR}/windows
    )
endif()

if (ANDROID)
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "android/androidcommon.h"
        IDENTIFIER "orgKdeElisaAndroid"
        CATEGORY_NAME "org.kde.elisa.android"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        android/androidcoverimageprovider.cpp
        android/androidmusiclistener.cpp
        android/androidfilelisting.cpp
        )
    set(elisaLib_INCLUDEDIRS
        ${elisaLib_INCLUDEDIRS}
        ${CMAKE_CURRENT_SOURCE_DIR}/android
    )
endif()

if (KF6FileMetaData_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        embeddedcoverageimageprovider.cpp
    )
endif()

if (KF6KIO_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        models/filebrowsermodel.cpp
        models/filebrowserproxymodel.cpp
        )
endif()

if (Qt6DBus_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        mpris2/mpris2.cpp
        mpris2/mediaplayer2.cpp
        mpris2/mediaplayer2player.cpp
        )
    set(elisaLib_INCLUDEDIRS
        ${elisaLib_INCLUDEDIRS}
        ${CMAKE_CURRENT_SOURCE_DIR}/mpris2
    )
endif()

if (UPNPQT_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        upnp/upnpcontrolcontentdirectory.cpp
        upnp/upnpcontentdirectorymodel.cpp
        upnp/upnpcontrolconnectionmanager.cpp
        upnp/upnpcontrolmediaserver.cpp
        upnp/didlparser.cpp
        upnp/upnplistener.cpp
        upnp/upnpdiscoverallmusic.cpp
        )
    set(elisaLib_INCLUDEDIRS
        ${CMAKE_CURRENT_SOURCE_DIR}/upnp
    )
endif()

kconfig_add_kcfg_files(elisaLib_SOURCES ../src/elisa_settings.kcfgc GENERATE_MOC )
set(elisaLib_SOURCES
    ${elisaLib_SOURCES}
    ../src/elisa_core.kcfg
    )

add_library(elisaLib ${elisaLib_SOURCES})
target_link_libraries(elisaLib
    LINK_PUBLIC
    Qt::Multimedia Qt::Qml KF6::ConfigGui
    LINK_PRIVATE
    Qt::Core Qt::Quick Qt::Sql Qt::Widgets Qt::Concurrent
    KF6::I18n KF6::CoreAddons
    KF6::ConfigCore
    KF6::ColorScheme)

if (KF6FileMetaData_FOUND)
    target_link_libraries(elisaLib
        LINK_PRIVATE
        KF6::FileMetaData
        )
endif()

if (KF6KIO_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF6::KIOCore KF6::KIOFileWidgets KF6::KIOWidgets
        )
endif()

if (KF6XmlGui_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF6::XmlGui
        )
endif()

if (Qt6DBus_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        Qt::DBus
        )

    if (KF6DBusAddons_FOUND)
        target_link_libraries(elisaLib
            LINK_PUBLIC
            KF6::DBusAddons
            )
    endif()
endif()

if (LIBVLC_FOUND)
    target_include_directories(elisaLib
        PRIVATE
        ${LIBVLC_INCLUDE_DIR}
        )

    target_link_libraries(elisaLib
        LINK_PRIVATE
        ${LIBVLC_LIBRARY}
        )
endif()

if (ANDROID)
    target_link_libraries(elisaLib PRIVATE Qt6::CorePrivate Qt6::Quick jnigraphics)
endif()

generate_export_header(elisaLib BASE_NAME ElisaLib EXPORT_FILE_NAME elisaLib_export.h)

set_target_properties(elisaLib PROPERTIES
    VERSION 0.1
    SOVERSION 0
    EXPORT_NAME ElisaLib
    )

if (NOT APPLE AND NOT WIN32)
    install(TARGETS elisaLib
        LIBRARY DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa NAMELINK_SKIP
        RUNTIME DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa
        BUNDLE DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa
        )
else()
    install(TARGETS elisaLib ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

target_include_directories(elisaLib PRIVATE ${elisaLib_INCLUDEDIRS})

set_source_files_properties(windows/WindowsTheme.qml PROPERTIES
    QT_RESOURCE_ALIAS qml/+windows/WindowsTheme.qml
)

set_source_files_properties(windows/PlatformIntegration.qml PROPERTIES
    QT_RESOURCE_ALIAS qml/+windows/PlatformIntegration.qml
)

set_source_files_properties(android/PlatformIntegration.qml PROPERTIES
    QT_RESOURCE_ALIAS qml/+android/PlatformIntegration.qml
)

set_source_files_properties(android/qtquickcontrols2.conf PROPERTIES
    QT_RESOURCE_ALIAS qml/+android/qtquickcontrols2.conf
)

qt_policy(SET QTP0001 NEW)
qt_add_qml_module(elisaLib
    URI org.kde.elisa
    QML_FILES
        android/PlatformIntegration.qml

        windows/PlatformIntegration.qml
        windows/WindowsTheme.qml

        qml/AbstractBrowserDelegate.qml
        qml/AbstractDataView.qml
        qml/AccessibleSlider.qml
        qml/ApplicationMenu.qml
        qml/BaseTheme.qml
        qml/BasicPlayListAlbumHeader.qml
        qml/ButtonWithToolTip.qml
        qml/ConfigurationDialog.qml
        qml/ContentView.qml
        qml/ContextView.qml
        qml/DataGridView.qml
        qml/DataTrackView.qml
        qml/DurationSlider.qml
        qml/ElisaMainWindow.qml
        qml/FlatButtonWithToolTip.qml
        qml/FooterBar.qml
        qml/GridBrowserDelegate.qml
        qml/HeaderBar.qml
        qml/ImageWithFallback.qml
        qml/LabelWithToolTip.qml
        qml/ListBrowserDelegate.qml
        qml/MediaPlayerControl.qml
        qml/MediaPlayListView.qml
        qml/MediaTrackMetadataDelegate.qml
        qml/MediaTrackMetadataForm.qml
        qml/MediaTrackMetadataView.qml
        qml/NativeGlobalMenu.qml
        qml/NativeGlobalMenuPlaylistModeItem.qml
        qml/NativeGlobalMenuShuffleModeItem.qml
        qml/NativeMenuItemFromAction.qml
        qml/NativeTrayMenu.qml
        qml/NavigationActionBar.qml
        qml/PlatformIntegration.qml
        qml/PlayListEntry.qml
        qml/PlaylistModeItem.qml
        qml/RatingStar.qml
        qml/SettingsForm.qml
        qml/ShuffleModeItem.qml
        qml/SimplePlayListView.qml
        qml/SortMenu.qml
        qml/Theme.qml
        qml/TrackBrowserDelegate.qml
        qml/TrackImportNotification.qml
        qml/TracksDiscHeader.qml
        qml/ViewSelector.qml
        qml/VolumeSlider.qml

        qml/mobile/MobileFooterBar.qml
        qml/mobile/MobileMediaTrackMetadataView.qml
        qml/mobile/MobileMinimizedPlayerControl.qml
        qml/mobile/MobilePlayListDelegate.qml
        qml/mobile/MobileSettingsPage.qml
        qml/mobile/MobileSidebar.qml
        qml/mobile/MobileTrackPlayer.qml
        qml/mobile/MobileVolumeButton.qml

        qml/shared/BasePlayerControl.qml
        qml/shared/BasePlayListDelegate.qml
    RESOURCES
        background.png
        qtquickcontrols2.conf
    )

if (Qt6Quick_FOUND AND Qt6Widgets_FOUND)

    set(elisa_SOURCES
        main.cpp
    )

    set(elisa_ICONS_PNG
        ../icons/128-apps-elisa.png
        ../icons/64-apps-elisa.png
        ../icons/48-apps-elisa.png
        ../icons/32-apps-elisa.png
        ../icons/22-apps-elisa.png
        ../icons/16-apps-elisa.png
        )

    # add icons to application sources, to have them bundled
    ecm_add_app_icon(elisa_SOURCES ICONS ${elisa_ICONS_PNG})

    add_executable(elisa ${elisa_SOURCES})

    target_include_directories(elisa PRIVATE ${KDSoap_INCLUDE_DIRS})

    target_link_libraries(elisa
        LINK_PRIVATE
        elisaLib
        Qt::Widgets Qt::QuickControls2
        KF6::I18n KF6::CoreAddons KF6::ConfigCore KF6::ConfigGui
        KF6::IconThemes
        )

    if (ANDROID)
        target_link_libraries(elisa
            PRIVATE
            Qt::Svg Qt::Sql Qt::Concurrent KF6::Kirigami Qt6::CorePrivate
        )
    endif()

    if (KF6Crash_FOUND)
        target_link_libraries(elisa
            LINK_PRIVATE
            KF6::Crash
            )
    endif()

    if (NOT APPLE AND NOT WIN32)
        set_target_properties(elisa PROPERTIES
            INSTALL_RPATH "${KDE_INSTALL_FULL_LIBDIR}/elisa;${CMAKE_INSTALL_RPATH}"
            )
    endif()

    install(TARGETS elisa ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

set(elisaImport_SOURCES
    elisaimport.cpp
    elisaimportapplication.cpp
    )

=== debian/changelog ===
elisa-player (24.12.3-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:43 -0500

elisa-player (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 16:00:23 +0000

elisa-player (24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:24:02 +0100

elisa-player (24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 22:34:22 +0100

=== debian/control ===
Source: elisa-player
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3~),
               gettext,
               kirigami-addons-dev (>= 0.11.76~),
               libkf6baloo-dev,
               libkf6colorscheme-dev (>= 6.3~),
               libkf6config-dev (>= 6.3~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 6.3~),
               libkf6crash-dev (>= 6.3~),
               libkf6dbusaddons-dev (>= 6.3~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6filemetadata-dev (>= 6.3~),
               libkf6i18n-dev (>= 6.3~),
               libkf6iconthemes-dev (>= 6.3~),
               libkf6kio-dev (>= 6.3~),
               libkf6qqc2desktopstyle-dev (>= 6.3~),
               libkf6xmlgui-dev (>= 6.3~),
               libkirigami-dev (>= 6.3~),
               libvlc-dev,
               libvlccore-dev,
               pkgconf,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/multimedia/elisa
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/elisa
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/elisa

Package: elisa
Architecture: any
Depends: kf6-breeze-icon-theme,
         libqt6sql6-sqlite (>= 6.5.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Simple music player with a focus on Plasma desktop integration and privacy
 Elisa is a music player developed by the KDE community that strives to be
 simple and nice to use. It tries to be flexible to account for different
 workflows and use-cases. It focuses on a very good integration with the
 Plasma desktop of the KDE community without compromising the support for
 other environments.
 .
 Elisa is developed using modern KDE technologies and aims to be reliable
 and respectful of users’ privacy. As such, it favors online services where
 users are in control of their data.

## elisa-player 25.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,17 +5,16 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(elisa
     VERSION ${RELEASE_SERVICE_VERSION}
     LANGUAGES CXX)
 
-set(REQUIRED_KF_VERSION "6.3")
-set(REQUIRED_KA_VERSION "0.11.76") # KirigamiAddons Version
+set(REQUIRED_KF_VERSION "6.9")
 find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
 
@@ -31,9 +30,24 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMGenerateQmlTypes)
 include(ECMAddAndroidApk)
+include(ECMFindQmlModule)
 
 set(REQUIRED_QT_VERSION "6.5.0")
-find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network Qml Quick Test Sql Multimedia Svg Gui Widgets QuickTest Concurrent QuickControls2)
+find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS
+    Concurrent
+    Core
+    Gui
+    Multimedia
+    Network
+    Qml
+    Quick
+    QuickControls2
+    QuickTest
+    Sql
+    Svg
+    Test
+    Widgets
+)
 
 find_package(Qt6Core ${REQUIRED_QT_VERSION} CONFIG REQUIRED Private)
 
@@ -50,26 +64,6 @@
 set(QtDBus_FOUND 1)
 endif()
 
-find_package(Qt6QuickWidgets ${REQUIRED_QT_VERSION} CONFIG QUIET)
-set_package_properties(Qt6QuickWidgets PROPERTIES
-    DESCRIPTION "Qt6 Quick Widgets is needed at runtime to provide the interface."
-    TYPE RUNTIME)
-
-find_package(Qt6QuickControls2 ${REQUIRED_QT_VERSION} CONFIG QUIET)
-set_package_properties(Qt6QuickControls2 PROPERTIES
-    DESCRIPTION "Qt6 Quick Controls version 2 is needed at runtime to provide the interface."
-    TYPE RUNTIME)
-
-find_package(KF6Kirigami ${REQUIRED_KF_VERSION} CONFIG QUIET)
-set_package_properties(KF6Kirigami PROPERTIES
-    DESCRIPTION "KF Kirigami is needed to provide the mobile UI components."
-    TYPE REQUIRED)
-
-find_package(KF6KirigamiAddons ${REQUIRED_KA_VERSION} CONFIG QUIET)
-set_package_properties(KF6KirigamiAddons PROPERTIES
-    DESCRIPTION "KF KirigamiAddons is needed to provide the about KDE dialogue."
-    TYPE REQUIRED)
-
 find_package(KF6I18n ${REQUIRED_KF_VERSION} CONFIG QUIET)
 set_package_properties(KF6I18n PROPERTIES
     DESCRIPTION "KF text internationalization library."
@@ -103,6 +97,11 @@
 find_package(KF6ColorScheme ${REQUIRED_KF_VERSION} CONFIG QUIET)
 set_package_properties(KF6ColorScheme PROPERTIES
     DESCRIPTION "Allows changing the app's color scheme."
+    TYPE REQUIRED)
+
+find_package(KF6Codecs ${REQUIRED_KF_VERSION} CONFIG QUIET)
+set_package_properties(KF6Codecs PROPERTIES
+    DESCRIPTION "Allows probing lyrics text codec."
     TYPE REQUIRED)
 
 find_package(KF6Crash ${REQUIRED_KF_VERSION} CONFIG QUIET)
@@ -117,7 +116,12 @@
         TYPE OPTIONAL)
 endif()
 
-if (NOT ANDROID)
+if (ANDROID)
+    find_package(KF6Kirigami ${REQUIRED_KF_VERSION} CONFIG QUIET)
+    set_package_properties(KF6Kirigami PROPERTIES
+        DESCRIPTION "Used to package icons on Android."
+        TYPE REQUIRED)
+else()
     find_package(KF6KIO ${REQUIRED_KF_VERSION} CONFIG QUIET)
     set_package_properties(KF6KIO PROPERTIES
         DESCRIPTION "File management libraries used for file browsing."
@@ -125,7 +129,7 @@
     find_package(KF6QQC2DesktopStyle ${REQUIRED_KF_VERSION} CONFIG QUIET)
     set_package_properties(KF6QQC2DesktopStyle PROPERTIES
         DESCRIPTION "KDE QtQuick style for desktop"
-        TYPE REQUIRED)
+        TYPE RUNTIME)
 endif()
 
 find_package(UPNPQT CONFIG QUIET)
@@ -143,6 +147,9 @@
     DESCRIPTION "libvlc allows to play music in Elisa (otherwise it will use QtMultimedia)"
     URL "https://www.videolan.org/vlc/libvlc.html"
     TYPE RECOMMENDED)
+
+ecm_find_qmlmodule(org.kde.kirigami 2.20)
+ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard 1.0)
 
 include(FeatureSummary)
 include(GenerateExportHeader)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -80,6 +80,13 @@
     )
 
 ecm_qt_declare_logging_category(elisaLib_SOURCES
+    HEADER "lyricsLogging.h"
+    IDENTIFIER "orgKdeElisaLyrics"
+    CATEGORY_NAME "org.kde.elisa.lyrics"
+    DEFAULT_SEVERITY Info
+    )
+
+ecm_qt_declare_logging_category(elisaLib_SOURCES
     HEADER "playListLogging.h"
     IDENTIFIER "orgKdeElisaPlayList"
     CATEGORY_NAME "org.kde.elisa.playlist"
@@ -229,7 +236,8 @@
     Qt::Core Qt::Quick Qt::Sql Qt::Widgets Qt::Concurrent
     KF6::I18n KF6::CoreAddons
     KF6::ConfigCore
-    KF6::ColorScheme)
+    KF6::ColorScheme
+    KF6::Codecs)
 
 if (KF6FileMetaData_FOUND)
     target_link_libraries(elisaLib
@@ -436,15 +444,3 @@
 
     if (NOT APPLE AND NOT WIN32)
         set_target_properties(elisa PROPERTIES
-            INSTALL_RPATH "${KDE_INSTALL_FULL_LIBDIR}/elisa;${CMAKE_INSTALL_RPATH}"
-            )
-    endif()
-
-    install(TARGETS elisa ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-endif()
-
-set(elisaImport_SOURCES
-    elisaimport.cpp
-    elisaimportapplication.cpp
-    )
-

=== debian/changelog ===
elisa-player (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Don't link QtCorePrivate in test.
  * New upstream release (25.04.2).
    - Qml/ContextView: don't show Lyrics when they're invisible. (kde#504198)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:55:13 +0200

elisa-player (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:45:14 +0200

=== debian/control ===
Source: elisa-player
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.9~),
               gettext,
               kirigami-addons-dev (>= 0.11.76~),
               libkf6baloo-dev,
               libkf6colorscheme-dev (>= 6.9~),
               libkf6config-dev (>= 6.9~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 6.9~),
               libkf6crash-dev (>= 6.9~),
               libkf6dbusaddons-dev (>= 6.9~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6filemetadata-dev (>= 6.9~),
               libkf6i18n-dev (>= 6.9~),
               libkf6iconthemes-dev (>= 6.9~),
               libkf6kio-dev (>= 6.9~),
               libkf6qqc2desktopstyle-dev (>= 6.9~),
               libkf6xmlgui-dev (>= 6.9~),
               libkirigami-dev (>= 6.9~),
               libvlc-dev,
               libvlccore-dev,
               pkgconf,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtcore,
               qml6-module-qtquick-dialogs,
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/elisa/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/elisa
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/elisa.git

Package: elisa
Architecture: any
Depends: kf6-breeze-icon-theme,
         libqt6sql6-sqlite (>= 6.5.0~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Simple music player with a focus on Plasma desktop integration and privacy
 Elisa is a music player developed by the KDE community that strives to be
 simple and nice to use. It tries to be flexible to account for different
 workflows and use-cases. It focuses on a very good integration with the
 Plasma desktop of the KDE community without compromising the support for
 other environments.
 .
 Elisa is developed using modern KDE technologies and aims to be reliable
 and respectful of users’ privacy. As such, it favors online services where
 users are in control of their data.

## elisa-player 25.04.3

=== debian/changelog ===
elisa-player (25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 02 Sep 2025 12:57:46 +0200

## elisa-player 25.07.80

=== debian/changelog ===
elisa-player (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 09:55:17 +0100

elisa-player (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Jul 2025 15:42:38 +0100

elisa-player (25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Jun 2025 07:25:12 +0100

elisa-player (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 10:35:54 +0100

elisa-player (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:00:28 +0100

elisa-player (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:41:18 +0100

## elisa-player 25.07.90

=== debian/changelog ===
elisa-player (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Jul 2025 07:02:33 +0100

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/,filenamemangle=s/elisa/elisa-player/ https://download.kde.org/unstable/release-service/([\d.]+)/src/elisa-([\d.]+)\.tar\.xz

## elisa-player 25.08.0

=== debian/changelog ===
elisa-player (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:30:05 +0100

## elisa-player 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(elisa

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -171,6 +171,8 @@
         android/androidcoverimageprovider.cpp
         android/androidmusiclistener.cpp
         android/androidfilelisting.cpp
+        android/androidplayer.cpp
+        android/androidplayerjni.cpp
         )
     set(elisaLib_INCLUDEDIRS
         ${elisaLib_INCLUDEDIRS}
@@ -443,4 +445,3 @@
     endif()
 
     if (NOT APPLE AND NOT WIN32)
-        set_target_properties(elisa PROPERTIES

=== debian/changelog ===
elisa-player (25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:10:45 +0100

elisa-player (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:42:14 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:

override_dh_makeshlibs:
	:

## elisa-player 25.08.2

=== debian/changelog ===
elisa-player (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Oct 2025 08:53:20 +0100

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/,filenamemangle=s/elisa/elisa-player/ https://download.kde.org/stable/release-service/([\d.]+)/src/elisa-([\d.]+)\.tar\.xz

## elisa-player 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(elisa

=== debian/changelog ===
elisa-player (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 09:14:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: elisa-player
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -40,8 +41,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/elisa/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/elisa
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/elisa.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/elisa
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/elisa
 
 Package: elisa
 Architecture: any

## elisa-player 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(elisa
@@ -32,7 +32,7 @@
 include(ECMAddAndroidApk)
 include(ECMFindQmlModule)
 
-set(REQUIRED_QT_VERSION "6.5.0")
+set(REQUIRED_QT_VERSION "6.6.0")
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS
     Concurrent
     Core

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -312,10 +312,6 @@
 
 target_include_directories(elisaLib PRIVATE ${elisaLib_INCLUDEDIRS})
 
-set_source_files_properties(windows/WindowsTheme.qml PROPERTIES
-    QT_RESOURCE_ALIAS qml/+windows/WindowsTheme.qml
-)
-
 set_source_files_properties(windows/PlatformIntegration.qml PROPERTIES
     QT_RESOURCE_ALIAS qml/+windows/PlatformIntegration.qml
 )
@@ -327,6 +323,9 @@
 set_source_files_properties(android/qtquickcontrols2.conf PROPERTIES
     QT_RESOURCE_ALIAS qml/+android/qtquickcontrols2.conf
 )
+
+set_source_files_properties(qml/Theme.qml
+    PROPERTIES QT_QML_SINGLETON_TYPE TRUE)
 
 qt_policy(SET QTP0001 NEW)
 qt_add_qml_module(elisaLib
@@ -335,13 +334,12 @@
         android/PlatformIntegration.qml
 
         windows/PlatformIntegration.qml
-        windows/WindowsTheme.qml
 
         qml/AbstractBrowserDelegate.qml
         qml/AbstractDataView.qml
         qml/AccessibleSlider.qml
         qml/ApplicationMenu.qml
-        qml/BaseTheme.qml
+        qml/Theme.qml
         qml/BasicPlayListAlbumHeader.qml
         qml/ButtonWithToolTip.qml
         qml/ConfigurationDialog.qml
@@ -377,7 +375,6 @@
         qml/ShuffleModeItem.qml
         qml/SimplePlayListView.qml
         qml/SortMenu.qml
-        qml/Theme.qml
         qml/TrackBrowserDelegate.qml
         qml/TrackImportNotification.qml
         qml/TracksDiscHeader.qml
@@ -445,3 +442,5 @@
     endif()
 
     if (NOT APPLE AND NOT WIN32)
+        set_target_properties(elisa PROPERTIES
+            INSTALL_RPATH "${KDE_INSTALL_FULL_LIBDIR}/elisa;${CMAKE_INSTALL_RPATH}"

=== debian/changelog ===
elisa-player (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Nov 2025 15:33:29 +0000

## elisa-player 25.11.90

=== debian/changelog ===
elisa-player (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:29 +0000

## elisa-player 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(elisa
@@ -117,6 +117,7 @@
 endif()
 
 if (ANDROID)
+    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS CorePrivate)
     find_package(KF6Kirigami ${REQUIRED_KF_VERSION} CONFIG QUIET)
     set_package_properties(KF6Kirigami PROPERTIES
         DESCRIPTION "Used to package icons on Android."

=== debian/changelog ===
elisa-player (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:13:33 +0000
